#include "version.h"

#if defined(_WIN32)
#define _OS_ "Windows"
#else
#define _OS_ "Linux"
#endif

#define _bits_ "32"

#if	defined( USE_IPP )
	#define _FFT_ "Intel IPP"
	#if defined(USE_SSSE3)
		#define	_fft_simd_	"SSSE3"
	#elif	defined( USE_SSE3 )
		#define	_fft_simd_	"SSE3"
	#elif defined( USE_SSE2	)
		#define	_fft_simd_	"SSE2"
	#elif defined( USE_SSE )
		#define	_fft_simd_	"SSE"
	#else
		#define	_fft_simd_	"MMX"
	#endif
#elif defined( USE_FFTWF )
	#define _FFT_ "FFTW3"
	#define	_fft_simd_	"SSE2"
#else
	#define _FFT_ "ooura"
	#define	_fft_simd_	"ooura_FPU"

#endif


#if defined(__GNUC__)
#undef _fft_simd_
#define	_fft_simd_	"i386"
#define _compOps_	"xK|FFT:IPP_SSE|Ben-Joe"
#else
#define _FFT_ "Intel IPP"
#if defined(USE_SSSE3)
#define	_fft_simd_	"SSSE3"
#elif	defined( USE_SSE3 )
	#define	_fft_simd_	"SSE3"
	#elif defined( USE_SSE2	)
		#define	_fft_simd_	"SSE2"
	#elif defined( USE_SSE )
		#define	_fft_simd_	"SSE"
	#else
		#define	_fft_simd_	"MMX"
	#endif
#define _compOps_	"xK|FFT:IPP_SSE|Ben-Joe"
#define _SIMD_SubVersion_	"Core 2"
#endif

#define _release_	"2.2B"

