// opt_os_interface.h
//
// O/S Specific CPU info & control functions
// versions needed for each O/S
//

#ifndef _OS_INTERFACE_
#define _OS_INTERFACE_

#if defined (_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

extern int os_cpu_count(void );
extern int os_L2_cache_size( void );
extern float os_cpu_throttle(void );

extern void single_cpu(int which);
extern void ramming_speed(void);
extern void cruising_speed(void);
extern uint64 hires_edge(void);
extern uint64 hires_timer(uint32 &resolution);

#endif // _OS_INTERFACE_
