/***************
 *
 *	memspeed.h:		x86 CPU specific speed testing functions
 *	Originator:		Ben Herndon
 *
 *   to be used with seti @ home client code
 *
 */

typedef void mem_func(void *ptr, int length);

mem_func read_ints, read_mmx, read_sse, read_sse_U, read_cache32, read_cache64;
mem_func write_ints, write_mmx, write_mmx_nt, write_sse, write_sse_nt;

int memspeed(void *ptr, int len, int repetitions, bool cflush, mem_func *);
