#if !defined( MY_TYPES_H )
#define MY_TYPES_H

// Modifications for compiling with Unix: Hans Dorn, Oct-05-2006
//  (the #ifdef __GNUC__ s)


#if defined( _MSC_VER ) || defined( __GNUC__ ) 

typedef unsigned long long int uint64;
typedef unsigned int    uint32;
typedef unsigned short    uint16;
typedef unsigned char     uint8;

typedef long long int int64;
typedef int        int32;
typedef short    int16;
typedef char     int8;

#if defined( _MSC_VER ) 
#define fastcall __fastcall
#elif defined(__GNUC__)
#define fastcall __attribute__ ((__fastcall__))
#define __forceinline __attribute__ ((always_inline)) inline
#endif

#endif // defined( _MSC_VER ) || defined( __GNUC__ ) 
#endif // MY_TYPES_H

